Package org.apache.sling.query.impl.resource.jcr

## Class JcrQueryIterator

- java.lang.Object
- - org.apache.sling.query.impl.iterator.AbstractIterator<org.apache.sling.api.resource.Resource>
  - - org.apache.sling.query.impl.resource.jcr.JcrQueryIterator

All Implemented Interfaces:
  `Iterator<org.apache.sling.api.resource.Resource>`

    public class JcrQueryIterator
    extends AbstractIterator<org.apache.sling.api.resource.Resource>

### Constructor Summary

Constructors
`JcrQueryIterator​(List<SelectorSegment> segments, org.apache.sling.api.resource.Resource root, JcrTypeResolver typeResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.api.resource.Resource` `getElement()`

### Methods inherited from class org.apache.sling.query.impl.iterator.AbstractIterator

`hasNext, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### JcrQueryIterator

    public JcrQueryIterator​(List<SelectorSegment> segments,
                            org.apache.sling.api.resource.Resource root,
                            JcrTypeResolver typeResolver)

### Method Detail

#### getElement

    protected org.apache.sling.api.resource.Resource getElement()

Specified by:
  `getElement` in class `AbstractIterator<org.apache.sling.api.resource.Resource>`